openSUSE Security Update : libmatroska / mkvtoolnix (openSUSE-2018-1432)

Low Nessus Plugin ID 119082

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for libmatroska, mkvtoolnix fixes the following issues :

Security issue fixed :

- CVE-2018-4022: Fixed use-after-free vulnerability that existed in the way MKV (matroska) file format was handled (bsc#1113709).

Solution

Update the affected libmatroska / mkvtoolnix packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1113709

Plugin Details

Severity: Low

ID: 119082

File Name: openSUSE-2018-1432.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/11/21

Modified: 2018/11/21

Dependencies: 12634

Risk Information

Risk Factor: Low

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libmatroska-debugsource, p-cpe:/a:novell:opensuse:libmatroska-devel, p-cpe:/a:novell:opensuse:libmatroska6, p-cpe:/a:novell:opensuse:libmatroska6-32bit, p-cpe:/a:novell:opensuse:libmatroska6-debuginfo, p-cpe:/a:novell:opensuse:libmatroska6-debuginfo-32bit, p-cpe:/a:novell:opensuse:mkvtoolnix, p-cpe:/a:novell:opensuse:mkvtoolnix-debuginfo, p-cpe:/a:novell:opensuse:mkvtoolnix-debugsource, p-cpe:/a:novell:opensuse:mkvtoolnix-gui, p-cpe:/a:novell:opensuse:mkvtoolnix-gui-debuginfo, cpe:/o:novell:opensuse:15.0, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/11/20

Reference Information

CVE: CVE-2018-4022